package com.ssj.service.weixin.story.service;

import java.util.List;
import java.util.Map;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ssj.bean.weixin.story.bean.StoryImg;
import com.ssj.framework.core.common.service.BaseService;


/** 
 * @author  ZhangCaibao 
 * @version 2017年6月12日 下午2:52:36 
 * 类说明 
 */
public interface StoryImgService extends BaseService<StoryImg, String>{

	 public List<String> getImgList(String objectId);
	 
	 public Integer countObjectId(String objectId);
	 
	 public  Page<StoryImg>  findByPage(Map<String, Object> params, Pageable sp);
	 
	 public void updateNum(String id ,Integer num);

	 public StoryImg findImgByAnything(String fileCode, String isbn13, String picIndex);

	 public StoryImg findImgByIsbn13(String isbn13, String picIndex);

	public Map<String, Object> findGrImg(String isbn13);

	public void updateBase(String isbn13, String fileGr);

	public void updateInfo(String isbn13, String fileGr);

	public void updateImgStat(String isbn13);
	
	public List<Map<String, Object>> randBookByGrLists(String filegr);
	
	public List<Map<String, Object>> randBookByKeywordLists(String keywordFeel);
}
